## zeromq3 4.3.5

=== build_qnx/Makefile ===
LIST=OS
ifndef QRECURSE
QRECURSE=recurse.mk
ifdef QCONFIG
QRDIR=$(dir $(QCONFIG))
endif
endif
include $(QRDIR)$(QRECURSE)

=== unittests/CMakeLists.txt ===
# CMake build script for ZeroMQ unit tests
cmake_minimum_required(VERSION "2.8.1")

set(unittests
    unittest_ypipe
    unittest_poller
    unittest_mtrie
    unittest_ip_resolver
    unittest_udp_address
    unittest_radix_tree
    unittest_curve_encoding)

# if(ENABLE_DRAFTS) list(APPEND tests ) endif(ENABLE_DRAFTS)

# add location of platform.hpp for Windows builds
if(WIN32)
  add_definitions(-DZMQ_CUSTOM_PLATFORM_HPP)
  add_definitions(-D_WINSOCK_DEPRECATED_NO_WARNINGS)
  # Same name on 64bit systems
  link_libraries(ws2_32.lib)
endif()

include_directories("${ZeroMQ_SOURCE_DIR}/include" "${ZeroMQ_SOURCE_DIR}/src" "${ZeroMQ_BINARY_DIR}")
include_directories("${ZeroMQ_SOURCE_DIR}/external/unity")

foreach(test ${unittests})
  # target_sources not supported before CMake 3.1
  add_executable(${test} ${test}.cpp "unittest_resolver_common.hpp")

  # per-test directories not generated on OS X / Darwin
  if(NOT ${CMAKE_CXX_COMPILER_ID} MATCHES "Clang.*")
    link_directories(${test} PRIVATE "${ZeroMQ_SOURCE_DIR}/../lib")
  endif()

  target_link_libraries(${test} testutil-static)

  if(RT_LIBRARY)
    target_link_libraries(${test} ${RT_LIBRARY})
  endif()

  if(CMAKE_SYSTEM_NAME MATCHES "QNX")
    target_link_libraries(${test} socket)
    target_link_libraries(${test} m)
  endif()

  if(WIN32)
    add_test(
      NAME ${test}
      WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
      COMMAND ${test})
  else()
    add_test(NAME ${test} COMMAND ${test})
  endif()

  set_tests_properties(${test} PROPERTIES TIMEOUT 10)

  # TODO prevent libzmq (non-static) being in the list of link libraries at all
  get_target_property(LIBS ${test} LINK_LIBRARIES)
  list(REMOVE_ITEM LIBS libzmq)
  set_target_properties(${test} PROPERTIES LINK_LIBRARIES "${LIBS}")
endforeach()

# Check whether all tests in the current folder are present TODO duplicated with tests/CMakeLists.txt, define as a
# function?
file(READ "${CMAKE_CURRENT_LIST_FILE}" CURRENT_LIST_FILE_CONTENT)
file(GLOB ALL_TEST_SOURCES "test_*.cpp")
foreach(TEST_SOURCE ${ALL_TEST_SOURCES})
  get_filename_component(TESTNAME "${TEST_SOURCE}" NAME_WE)
  string(REGEX MATCH "${TESTNAME}" MATCH_TESTNAME "${CURRENT_LIST_FILE_CONTENT}")
  if(NOT MATCH_TESTNAME)
    message(AUTHOR_WARNING "Test '${TESTNAME}' is not known to CTest.")
  endif()
endforeach()

=== build_qnx/nto/aarch64/le/Makefile ===
include ../../../common.mk

CMAKE_ARGS += -DCMAKE_SYSTEM_PROCESSOR=aarch64 
FLAGS      += $(VFLAG_le) $(CCVFLAG_le)
LDFLAGS    += $(VFLAG_le) $(LDVFLAG_le)

=== debian/changelog ===
zeromq3 (4.3.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:35:18 +0000

zeromq3 (4.3.5-1build1) noble; urgency=medium

  * No-change rebuild against libpgm-5.3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 21:31:16 +0000

zeromq3 (4.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Source is relicensed to the MPL-2.0 License.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 14 Oct 2023 15:38:10 +0200

zeromq3 (4.3.4-6) unstable; urgency=medium

  [ Eric Long <i@hack3r.moe> ]
  * Add upstream patch to fix FTBFS on riscv64 (closes: #1029132).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Jan 2023 21:42:24 +0100

zeromq3 (4.3.4-5) unstable; urgency=medium

  * Backport fix for message can't be received due to signal.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 12 Jan 2023 17:24:47 +0100

zeromq3 (4.3.4-4) unstable; urgency=medium

  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Oct 2022 10:41:50 +0200

zeromq3 (4.3.4-3) unstable; urgency=medium

  * Remove zmq{,_addon}.hpp as these provided by cppzmq-dev from now on
    (closes: #972785).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 15 Aug 2022 18:40:34 +0200

zeromq3 (4.3.4-2) unstable; urgency=medium

  * Disable compiler warnings to be an error (closes: 984410).
  * Update zmq{,_addon}.hpp cppzmq files to 4.8.1 version (closes: #988725).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 16 Dec 2021 08:30:42 +0100

=== debian/control ===
Source: zeromq3
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13),
 libpgm-dev (>= 5.2.122~dfsg),
 libsodium-dev,
 libnorm-dev,
 libkrb5-dev,
 libbsd-dev,
 pkgconf,
 xmlto,
 asciidoc
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.zeromq.org/

Package: libzmq5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: lightweight messaging kernel (shared library)
 ØMQ is a library which extends the standard socket interfaces with features
 traditionally provided by specialised messaging middleware products.
 .
 ØMQ sockets provide an abstraction of asynchronous message queues, multiple
 messaging patterns, message filtering (subscriptions), seamless access to
 multiple transport protocols and more.
 .
 This package contains the libzmq shared library.

Package: libzmq3-dev
Architecture: any
Section: libdevel
Depends: libzmq5 (= ${binary:Version}), ${misc:Depends}, libpgm-dev (>= 5.2.122~dfsg), libsodium-dev, libnorm-dev, libkrb5-dev, libbsd-dev
Recommends: cppzmq-dev
Conflicts: libzmq-dev, libzmq5-dev
Replaces: libzmq5-dev
Provides: libzmq5-dev
Multi-Arch: same
Description: lightweight messaging kernel (development files)
 ØMQ is a library which extends the standard socket interfaces with features
 traditionally provided by specialised messaging middleware products.
 .
 ØMQ sockets provide an abstraction of asynchronous message queues, multiple
 messaging patterns, message filtering (subscriptions), seamless access to
 multiple transport protocols and more.
 .
 This package contains the ZeroMQ development libraries and header files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export TEST_VERBOSE=1

ifneq (, filter $(DEB_BUILD_ARCH_OS), kfreebsd hurd)
	DO_TEST = no
endif

override_dh_clean:
	dh_clean
	find $(CURDIR) -type s -exec rm {} \;
	rm -f $(CURDIR)/doc/*.xml $(CURDIR)/doc/*.3 $(CURDIR)/doc/*.7
	rm -f config.log

override_dh_auto_configure:
	dh_auto_configure -- --with-pgm --with-libsodium --with-norm=yes \
		--with-libgssapi_krb5=yes --disable-Werror

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq ($(DO_TEST), no)
	dh_auto_test -- VERBOSE=1
else
	-dh_auto_test -- VERBOSE=1
endif
endif

%:
	dh $@ --with=autoreconf

.PHONY: override_dh_auto_configure override_dh_auto_test
